summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2016-01-05 11:08:28 +0100
committerPeter Palfrader <peter@palfrader.org>2016-01-05 11:08:28 +0100
commit00edd9ebe0d35884a0e2560f3547599905e4862c (patch)
tree09f29220fdd225da4525fd340b4f11ace470c775
parentc8362ac69d7a7473baecc39464822a69b58017e1 (diff)
The unprefixed date line should remain the first line of a tracefile
-rwxr-xr-xbin/ftpsync6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ftpsync b/bin/ftpsync
index 4e0290e..376202f 100755
--- a/bin/ftpsync
+++ b/bin/ftpsync
@@ -181,13 +181,13 @@ tracefile() {
log "Creating a ${EXTENDEDTRACE} trace file"
if [[ -d $(dirname "${TRACEFILE}") ]]; then
{
- FILESOA=$(awk '/serial/ { print $3 }' ${TO}/project/trace/master || echo unknown )
- echo "Archive serial: ${FILESOA}"
-
LC_ALL=POSIX LANG=POSIX date -u
rfc822date=$(LC_ALL=POSIX LANG=POSIX date -u -R)
echo "Date: ${rfc822date}"
+ FILESOA=$(awk '/serial/ { print $3 }' ${TO}/project/trace/master || echo unknown )
+ echo "Archive serial: ${FILESOA}"
+
if [[ date != ${EXTENDEDTRACE} ]]; then
echo "Used ftpsync version: ${VERSION}"
echo "Running on host: ${TRACEHOST}"